Bug 1012644 - error message from rhc app create --from-code with invalid url should match that of Origin/Online
error message from rhc app create --from-code with invalid url should match t...
Status: CLOSED ERRATA
Product: OpenShift Container Platform
Classification: Red Hat
Component: Command Line Interface (Show other bugs)
1.2.1
Unspecified Unspecified
unspecified Severity unspecified
: ---
: ---
Assigned To: Miciah Dashiel Butler Masters
libra bugs
:
Depends On:
Blocks: 1066283
  Show dependency treegraph
 
Reported: 2013-09-26 14:57 EDT by Peter Ruan
Modified: 2017-03-08 12 EST (History)
3 users (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
: 1066283 (view as bug list)
Environment:
Last Closed: 2013-12-16 04:11:26 EST
Type: Bug
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)

  None (edit)
Description Peter Ruan 2013-09-26 14:57:35 EDT
Description of problem:
  When running with Enterprise (rch.1.10.1) with rhc app create --from-code with an invalid URL, the error message should match that given by Origin/Online to be consistent

Online/Origin
=============
Creating application 'wontwork' ... Source code repository could not be cloned: 

Enterprise
=============
Creating application 'wontwork' ... Source Code repository could not be cloned: 

Note the word 'Code' is lower case in Online/Origin.  Please change it so we have a consistent error message across the product lines.

Also,
  URL like 'git@github.com:openshift/test-example.git' is considered valid in Origin/Online, but is treated as 'Invalid initial git URL'

Online/Origin
=============
Source code repository could not be cloned: 'git@github.com:openshift/test-example.git'.

Enterprise
==========
Creating application 'wontwork' ... Invalid initial git URL



Version-Release number of selected component (if applicable):
rhc version 1.10.1

How reproducible:


Steps to Reproduce:
1.
2.
3.

Actual results:


Expected results:


Additional info:
Comment 3 Gaoyun Pei 2013-11-18 02:13:15 EST
Test this on 2.0/2013-11-15.1.

[root@dhcp-8-133 workspace]# rhc app create app1 php --from-code git@github.com:openshift/test-example.git
Using php-5.3 (PHP 5.3) for 'php'

Application Options
-------------------
  Domain:      www
  Cartridges:  php-5.3
  Source Code: git@github.com:openshift/test-example.git
  Gear Size:   default
  Scaling:     no

Creating application 'app1' ... 
Source code repository could not be cloned:
'git@github.com:openshift/test-example.git'. Please verify the repository is
correct and try a non-SSH URL such as HTTP.

The word "code" in "Source code repository could not be cloned:" has been changed to lower-case. And the response of git url is correct.

Note You need to log in before you can comment on or make changes to this bug.